# Class ProtectedBranch < ActiveRecord::Base

- app/models/protected_branch.rb

## Schema Information

Table name: protected_branches

    id         :integer          not null, primary key
    project_id :integer          not null
    name       :string(255)      not null
    created_at :datetime         not null
    updated_at :datetime         not null

Methods

C
  - commit
U
  - update_repository

Included Modules

- GitHost

Instance Public methods
commit() Link

Source: show

    # File app/models/protected_branch.rb, line 28
    def commit
      project.commit(self.name)
    end

update_repository() Link

Source: show

    # File app/models/protected_branch.rb, line 24
    def update_repository
      git_host.update_repository(project)
    end